/*
	ExternalInterface test code for GNU Flash Player
	Written (2016) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
	
	Released to public domain under Creative Commons Zero 1.0
	(https://creativecommons.org/publicdomain/zero/1.0/)
	
	Once this Flash code is run, it registers an ExternalInterface callback
	named "exception_call", which when called, will throw an Error.
*/
import flash.external.ExternalInterface;

class JS2FlashException {
	public static function exception_call() {
		trace("callee: exception_call callback is called");
		throw new Error("This is a test Error");
	}
	
	public static function main(mc:MovieClip):Void {
		if(!ExternalInterface.available) {
			trace("callee: ExternalInterface is unavailable, aborting");
			return;
		}
		
		if(!ExternalInterface.addCallback("exception_call",mc,exception_call)) {
			trace("callee: failed registering exception_call callback");
		}
		
		trace("callee: finished initializing");
	}
}
